API EndpointsCatalog products
Create Catalog product
Create a new Catalog product.
Authorization
BearerAuthorizer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
The name of the catalog product
description?string
The description of the catalog product
productCode?string
The product code of the catalog product
disableDescription?boolean
Whether to disable the default description on generated line items
externalId?string
The external ID of the catalog product
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/catalogProducts" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "catalogProduct": { "name": "string", "description": "string", "productCode": "string", "disableDescription": true, "externalId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}{ "type": "invalid_request_error", "code": "string", "message": "string", "param": "string", "params": [ { "param": "string", "message": "string" } ]}{ "type": "authentication_error", "code": "authentication_failed", "message": "string"}{ "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "string"}{ "type": "api_error", "code": "internal_error", "message": "string"}
